package com.htfp.weather.download.gfs;

/**
 * @Author : shiyi
 * @Date : 2024/4/28 16:31
 * @Description : GFS变量枚举
 */
public enum GfsDownloadVariableEnum {
    //
    TEMPERATURE("TMP", "温度"),
    U_WIND("UGRD", "东西风分量"),
    V_WIND("VGRD", "南北风分量"),
    CLOUD("TCDC", "云量"),
    RELATIVE_HUMIDITY("RH", "相对湿度"),
    VERTICAL_VELOCITY("DZDT", "垂直速度"),
    PRECIPITATION("PRATE", "降水率(mm)"),
    ;
    private final String code;
    private final String info;

    GfsDownloadVariableEnum(String code, String info) {
        this.code = code;
        this.info = info;
    }

    public String getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }

    public static boolean contains(String test) {
        for (GfsDownloadVariableEnum c : GfsDownloadVariableEnum.values()) {
            if (c.getCode().equals(test)) {
                return true;
            }
        }
        return false;
    }
}
