package com.htfp.weather.griddata.common;

import com.htfp.weather.utils.JSONUtils;
import lombok.Data;
import org.apache.commons.io.IOUtils;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.io.FileInputStream;
import java.io.InputStream;
import java.nio.charset.StandardCharsets;

@Data
@Configuration("tableStoreConf")
@ConfigurationProperties("tablestore")
public class TableStoreConf {
    private String endpoint;
    private String accessId;
    private String accessKey;
    private String instanceName;

    public static TableStoreConf init() {
        try {
            String path = System.getProperty("user.dir") + "./tablestoreConf.json";
            InputStream f = new FileInputStream(path);
            String jsonStr = IOUtils.toString(f, StandardCharsets.UTF_8);
            return JSONUtils.json2obj(jsonStr, TableStoreConf.class);
        } catch (Exception ex) {
            throw new RuntimeException(ex);
        }
    }

}
