package com.htfp.weather.griddata.operation;


import com.aliyun.tablestore.grid.TableStoreGridConfig;
import com.aliyun.tablestore.grid.TableStoreGrid;
import com.htfp.weather.griddata.common.TableConfig;
import com.htfp.weather.griddata.common.TableStoreConf;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.DependsOn;

import javax.annotation.PostConstruct;

@DependsOn("tableStoreConf")
public abstract class BaseTableOperation{

    protected TableStoreGrid tableStoreGrid;
    // private String pathSeperator = "/";
    @Autowired
    private TableConfig tableConfig;
    @Autowired
    private TableStoreConf tableStoreConf;
    TableStoreGridConfig config;

    @PostConstruct
    public void init() {
        config = new TableStoreGridConfig();
        if (tableStoreConf == null){
            tableStoreConf = TableStoreConf.init();
        }
        if (tableConfig == null) {
            tableConfig = new TableConfig();
            tableConfig.init();
        }
        config.setTableStoreEndpoint(tableStoreConf.getEndpoint());
        config.setAccessId(tableStoreConf.getAccessId());
        config.setAccessKey(tableStoreConf.getAccessKey());
        config.setTableStoreInstance(tableStoreConf.getInstanceName());
        config.setDataTableName(tableConfig.getDataTableName());
        config.setMetaTableName(tableConfig.getMetaTableName());
        connect();
    }

    /**
     * 连接数据库
     */
    public void connect() {
        if (tableStoreGrid == null) {
            tableStoreGrid = new TableStoreGrid(config);
        }
    }

    /** 断开数据库
     *
     */
    public void close() {
        if (tableStoreGrid != null) {
            tableStoreGrid.close();
            tableStoreGrid = null;
        }
    }
}
