package com.htfp.weather.griddata.operation;

import com.alicloud.openservices.tablestore.model.search.sort.FieldSort;
import com.alicloud.openservices.tablestore.model.search.sort.Sort;
import com.alicloud.openservices.tablestore.model.search.sort.SortOrder;
import com.aliyun.tablestore.grid.consts.AttributionEnum;
import com.aliyun.tablestore.grid.core.QueryBuilder;
import com.aliyun.tablestore.grid.model.GridDataSetMeta;
import com.aliyun.tablestore.grid.model.QueryGridDataSetResult;
import com.aliyun.tablestore.grid.model.QueryParams;
import com.htfp.weather.griddata.common.TableConfig;
import org.springframework.stereotype.Component;
import org.springframework.util.CollectionUtils;

import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;
import javax.annotation.Resource;
import javax.crypto.interfaces.PBEKey;
import java.util.Collections;
import java.util.List;

/**
 * @Author : shiyi
 * @Date : 2024/3/4 17:45
 * @Description : 查询属性表
 */
@Component
public class QueryMeta extends BaseTableOperation {
    @Resource
    TableConfig tableConfig;

    @PreDestroy
    public void destroy() {
        close();
    }
    /**
     * 查询最新的数据集信息
     *
     * @return
     * @throws Exception
     */
    public GridDataSetMeta getLastGridDataSetMeta() throws Exception {

        QueryGridDataSetResult result = tableStoreGrid.queryDataSets(
                tableConfig.metaIndexName,
                QueryBuilder.and()
                        .equal("status", "DONE")
                        .build(),
                new QueryParams(0, 10, new Sort(Collections.singletonList(new FieldSort(AttributionEnum.REFERENCE_TIME.getName(), SortOrder.DESC))))
        );
        List<GridDataSetMeta> gridDataSetMetas = result.getGridDataSetMetas();
        if (CollectionUtils.isEmpty(gridDataSetMetas)) {
            throw new RuntimeException("meta table为空");
        }
        return gridDataSetMetas.get(0);
    }
    public String queryLastReferenceTime() throws Exception {
        GridDataSetMeta gridDataSetMeta = getLastGridDataSetMeta();
        return gridDataSetMeta.getGridDataSetId();
    }
}
