package com.htfp.weather.utils.ssl;

import okhttp3.Interceptor;
import okhttp3.Response;
import org.jetbrains.annotations.NotNull;

import java.io.IOException;

public class HostInterceptor implements Interceptor {
    private static final ThreadLocal<String> hostnameHolder = new ThreadLocal<>();

    @NotNull
    @Override
    public Response intercept(Chain chain) throws IOException {
        hostnameHolder.set(chain.request().url().host());
        return chain.proceed(chain.request());
    }

    public static String getCurrentHostname() {
        return hostnameHolder.get();
    }
}
