package com.htfp.weather.web.param.caiyun;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @Author : shiyi
 * @Date : 2024/4/15 18:52
 * @Description :
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class CaiYunWarningResponse extends CaiYunBaseResponse {
    @JsonProperty("result")
    private AlertResult result;

    @Data  @JsonIgnoreProperties(value = {"realtime"}, ignoreUnknown = true)
    public static class AlertResult{
        Alert alert;
        @Data @JsonIgnoreProperties(value = {"abcodes"}, ignoreUnknown = true)
        public static class Alert {
            String status;
            List<AlertContent> content;
            @Data
            public static class AlertContent {
                private String province;
                private String status;
                private String code;
                private String description;
                private String regionId;
                private String county;
                private Long pubtimestamp;
                private Float[] latlon;
                private String city;
                private String alertId;
                private String title;
                private String adcode;
                private String source;
                private String location;
                @JsonProperty("request_status")
                private String requestStatus;
            }
        }
    }
}
