package com.htfp.weather.web.param.cma;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

/**
 * @Author : shiyi
 * @Date : 2024/7/2 16:13
 * @Description : 天地图逆编码响应结构
 */
@Data
public class AntiGeoCodeResponse {
    Result result;
    String msg;
    String status;
    @Data @JsonIgnoreProperties(value = {"formattedAddress", "location"}, ignoreUnknown = true)
    public static class Result {
        AddressComponent addressComponent;
        @Data @JsonIgnoreProperties(ignoreUnknown = true)
        public static class AddressComponent {
            private String address;
            private String city;
            @JsonProperty("county_code")
            private String countyCode;
            private String nation;
            @JsonProperty("poi_position")
            private String poiPosition;
            private String county;
            @JsonProperty("city_code")
            private String cityCode;
            @JsonProperty("address_position")
            private String addressPosition;
            private String poi;
            @JsonProperty("province_code")
            private String provinceCode;
            private String province;
            private String road;
            @JsonProperty("road_distance")
            private int roadDistance;
            @JsonProperty("poi_distance")
            private int poiDistance;
            @JsonProperty("address_distance")
            private int addressDistance;
            private String info;
        }
    }
}


