package com.htfp.weather.web.param.cma;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

/**
 * @Author : shiyi
 * @Date : 2024/7/1 17:58
 * @Description : 中央气象台预警信息单元
 */
@Data @JsonIgnoreProperties(value = {"warnDefine"}, ignoreUnknown = true)
public class CmaWarning {
    private String expires;
    private String procince;
    private Integer leveltype;
    private String signalypecode;
    private Double lon;
    private Double lat;
    private Integer zoom;
    private String issuecontent; // 发布内容
    private String signallevelcode; // 颜色等级： YELLOW, BLUE, ORANGE, RED
    private String reference;
    private String areaId; // 县级行政编码
    private String signallevel; // 预警等级：黄色，蓝色，橙色，红色
    private String dataid; // 预警数据ID
    private String sender; // 数据发布单位
    private String codename; // 预警信号名称
    private String name; // 行政单位名称
    private String time; // 发布时间
    private String msgtype; // 消息类型：ALERT、UPDATE
    private String procincecode; // 省级行政编码（前两位）
}
