package com.htfp.weather.web.param.request;

import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * @Author : shiyi
 * @Date : 2024/3/14 18:01
 * @Description : 预报请求参数
 */
@Data
public class ForecastRequest {

    @NotNull(message = "变量名不能为空")
    String variableName;

    @NotNull(message = "高度层次不能为空")
    Integer level;

    @NotNull(message = "纬度不能为空")
    @Min(value = -90, message = "纬度最小值为-90（南纬90°）")
    @Max(value = 90, message = "纬度最大值为90（北纬90°）")
    Double latitude;

    @NotNull(message = "经度不能为空")
    @Min(value = -180, message = "经度最小值为-180（西经180°）")
    @Max(value = 180, message = "经度最大值为180（东经180°）")
    Double longitude;

}
