package com.htfp.weather.web.param.request;

import com.htfp.weather.download.gfs.GfsLevelsEnum;
import com.htfp.weather.web.valid.EnumValid;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Author : shiyi
 * @Date : 2024/6/3 19:21
 * @Description :
 */
@Data
public class MultiPointsRequest {
    @NotNull
    List<Position2D> pointList;

    @NotNull(message = "高度层次 (level) 不能为空")
    @EnumValid(message = "高度层次 (level) 数值错误", enumClass = GfsLevelsEnum.class)
    Integer level;
}
