package com.htfp.weather.web.param.request;

import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * @Author : shiyi
 * @Date : 2024/1/24 16:11
 * @Description : 地面位置参数
 */
@Data
public class Position2D {
    @NotNull(message = "纬度 (latitude) 不能为空")
    @Min(value = 0, message = "纬度 (latitude) 最小值为0（0°）")
    @Max(value = 55, message = "纬度 (latitude) 最大值为55（北纬55°）")
    Double latitude;

    @NotNull(message = "经度 (longitude) 不能为空")
    @Min(value = 70, message = "经度 (longitude) 最小值为 70（东经 70°）")
    @Max(value = 140, message = "经度 (longitude) 最大值为 140（东经 140°）")
    Double longitude;

}
