package com.htfp.weather.web.param.response;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author : shiyi
 * @Date : 2024/1/24 13:46
 * @Description : 将和风的逐小时数据集转换为变量时间序列数据集
 */
@Data @JsonInclude(JsonInclude.Include.NON_NULL)
public class TimeSeriesDataset {
    List<String> time;
    Double latitude;
    Double longitude;
    float[] temp;
    float[] windSpeed;
    float[] wind360;
    int[] windScale;
    float[] humidity;
    // float[] pressure;
    float[] cloud;
    float[] precip;
    String dataSource;
    public TimeSeriesDataset() {}
    public TimeSeriesDataset(int size) {
        time = new ArrayList<>(size);
        temp = new float[size];
        windSpeed = new float[size];
        wind360 = new float[size];
        windScale = new int[size];
        humidity = new float[size];
        // pressure = new float[size;
        cloud = new float[size];
        precip = new float[size];
    }
}
