package com.htfp.weather.web.service;

import com.htfp.weather.web.param.response.NowWeatherStatus;
import com.htfp.weather.web.param.response.PlaneResponse;
import com.htfp.weather.web.param.response.ProfileDataset;
import com.htfp.weather.web.param.response.TimeSeriesDataset;

import java.time.OffsetDateTime;
import java.util.List;

/**
 * @Author : shiyi
 * @Date : 2024/3/15 10:51
 * @Description : 高空数据接口
 */
public interface IUpperDataService {
    NowWeatherStatus getNowWeather(int level, double latitude, double longitude);

    List<NowWeatherStatus> getNowWeatherByMultiPoint(int level, List<Double> latitude, List<Double> longitude);

    TimeSeriesDataset getForecastSeries(int level, double latitude, double longitude);

    List<TimeSeriesDataset> getForecastSeriesByMultiPoint(int level, List<Double> latitudeList, List<Double> longitudeList);

    ProfileDataset getProfileByPressure(OffsetDateTime targetTime, double latitude, double longitude);

    PlaneResponse getPlane(OffsetDateTime targetTime, String variableName, int level, double minLat, double maxLat, double minLon, double maxLon);
}
