package com.htfp.weather.web.service.surfaceapi;

import com.htfp.weather.web.param.response.NowWeatherStatus;
import com.htfp.weather.web.param.response.SurfaceWeatherWarning;
import com.htfp.weather.web.param.response.TimeSeriesDataset;

import java.util.List;

/**
 * @Author : shiyi
 * @Date : 2024/4/30 10:02
 * @Description : 地面数据接口
 */
public interface ISurfaceDataService {
    String getDataSource();
    NowWeatherStatus getNowSurfaceWeatherStatus(double lat, double lon) throws Exception;

    TimeSeriesDataset getForecastSeries(double lat, double lon) throws Exception;

    List<SurfaceWeatherWarning> getSurfaceWarning(double lat, double lon) throws Exception;
}
