package com.htfp.weather.web.service.surfaceapi;

import com.htfp.weather.web.param.hefeng.HeFengNowResponse;
import com.htfp.weather.web.param.response.NowWeatherStatus;
import com.htfp.weather.web.param.response.TimeSeriesDataset;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.test.context.SpringBootTest;

import javax.annotation.Resource;

/**
 * @Author : shiyi
 * @Date : 2024/1/23 11:07
 * @Description :
 */
@SpringBootTest
@Slf4j
class HeFengServiceImplTest {
    @Resource
    private HeFengServiceImpl heFengServiceImpl;
    @Value("${hefeng.key}")
    private String key;
    private final String urlFormat = "https://devapi.qweather.com/v7/grid-weather/now?location=%.2f,%.2f&key=%s";

    @Test
    public void getCurrentSurfaceWeatherStatus() throws Exception {
        double lon = 116.4074;
        double lat = 39.9042;
        NowWeatherStatus nowWeather = heFengServiceImpl.getNowSurfaceWeatherStatus(lat, lon);
        System.out.println(nowWeather);
    }

    @Test
    void getFourcasetSeries() throws Exception {
        double lon = 116.4074;
        double lat = 39.9042;
        TimeSeriesDataset forecastSeries = heFengServiceImpl.getForecastSeries(lat, lon);
        System.out.println(forecastSeries);
    }

    @Test
    void getNowWeather() throws Exception {
        double lon = 116.4074;
        double lat = 39.9042;
        HeFengNowResponse.HeFengNow nowWeather = heFengServiceImpl.getFeFengNowWeather(lat, lon);
        System.out.println(nowWeather);
    }
}